Bug 1547688 - [3.6] exception output while using view archive link in pod log for default project
Summary: [3.6] exception output while using view archive link in pod log for default p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 3.6.z
Assignee: Jeff Cantrill
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1523047 1525357
Blocks: 1547348
TreeView+ depends on / blocked
 
Reported: 2018-02-21 17:50 UTC by Jeff Cantrill
Modified: 2018-04-12 06:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The link generation code assumes all project logs are written to indices that have a common naming pattern. Consequence: User's are linked to non-existent indices Fix: Project logs that will be archived to different indices are annotated with the required information to properly build the link. Result: Users are routed using a link that will query the data store correctly and return data.
Clone Of: 1523047
Environment:
Last Closed: 2018-04-12 06:03:40 UTC
Target Upstream Version:


Attachments (Terms of Use)
Error in Kibana UI (179.76 KB, image/png)
2018-03-01 09:09 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-ansible pull 7236 None closed bug 1547688. Annotate ops projects with prefix for data index 2020-10-08 14:49:22 UTC
Github openshift origin-web-console pull 2837 None closed bug 1547688. fix project prefix for archive link 2020-10-08 14:49:22 UTC
Red Hat Product Errata RHBA-2018:1106 None None None 2018-04-12 06:04:58 UTC

Internal Links: 1523047

Comment 4 Junqi Zhao 2018-03-01 09:08:40 UTC
There is still error in Kibana UI.
Discover: "project.default.55253ea2-1cef-11e8-984f-fa163ec71c74.*" is not a configured pattern. Using the default index pattern: ".all"

# openshift version
openshift v3.6.173.0.104
kubernetes v1.6.1+5115d708d7
etcd 3.2.1


logging component version: v3.6.173.0.104-1

Comment 5 Junqi Zhao 2018-03-01 09:09:17 UTC
Created attachment 1402342 [details]
Error in Kibana UI

Comment 6 Jeff Cantrill 2018-03-12 13:44:55 UTC
Please provide the project annotations: `oc get project default -o yaml'.

The annotations provide hints to the webconsole to properly build the url.  If the new image was deployed without running ansible, you may not have executed the code to annotate the project.  Additionally, please provide the version of the webconsole image so we can confirm it also has the code that consumes the annotation.

This should be available in:

* openshift-ansible: 3.6.173.0.104-1

The origin changes should now be available as of Mar 10, 2018

Comment 9 Junqi Zhao 2018-03-30 05:27:00 UTC
Deployed logging with enabled ops cluster and disabled ops cluster, there is not exception output in Kibana UI while using view archive link in pod log for default project

Images
logging-fluentd/images/v3.6.173.0.112-1
logging-elasticsearch/images/v3.6.173.0.112-2
logging-kibana/images/v3.6.173.0.112-2
logging-auth-proxy/images/v3.6.173.0.112-2
logging-curator/images/v3.6.173.0.112-2

# openshift version
openshift v3.6.173.0.112
kubernetes v1.6.1+5115d708d7
etcd 3.2.1


openshift-ansible version
openshift-ansible-3.6.173.0.112-1.git.0.b920505.el7.noarch

************oc get project default -o yaml************
Enabled ops cluster
# oc get project default -o yaml
apiVersion: v1
kind: Project
metadata:
  annotations:
    openshift.io/logging.data.prefix: .operations
    openshift.io/logging.ui.hostname: kibana-ops.apps.0329-dfc.qe.rhcloud.com
    openshift.io/node-selector: ""
    openshift.io/sa.initialized-roles: "true"
    openshift.io/sa.scc.mcs: s0:c3,c2
    openshift.io/sa.scc.supplemental-groups: 1000010000/10000
    openshift.io/sa.scc.uid-range: 1000010000/10000
  creationTimestamp: 2018-03-30T02:40:39Z
  name: default
  resourceVersion: "4735"
  selfLink: /oapi/v1/projects/default
  uid: bbe83f95-33c3-11e8-8539-fa163ec1a6ed
spec:
  finalizers:
  - kubernetes
  - openshift.io/origin
status:
  phase: Active


Disabled ops cluster
# oc get project default -o yaml
apiVersion: v1
kind: Project
metadata:
  annotations:
    openshift.io/logging.data.prefix: .operations
    openshift.io/node-selector: ""
    openshift.io/sa.initialized-roles: "true"
    openshift.io/sa.scc.mcs: s0:c3,c2
    openshift.io/sa.scc.supplemental-groups: 1000010000/10000
    openshift.io/sa.scc.uid-range: 1000010000/10000
  creationTimestamp: 2018-03-30T02:40:39Z
  name: default
  resourceVersion: "5468"
  selfLink: /oapi/v1/projects/default
  uid: bbe83f95-33c3-11e8-8539-fa163ec1a6ed
spec:
  finalizers:
  - kubernetes
  - openshift.io/origin
status:
  phase: Active
************oc get project default -o yaml************

Comment 12 errata-xmlrpc 2018-04-12 06:03:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1106


Note You need to log in before you can comment on or make changes to this bug.